Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Class ASTStringLiteral

    java.lang.Object
      org.apache.commons.jexl2.parser.SimpleNode
          org.apache.commons.jexl2.parser.JexlNode
              org.apache.commons.jexl2.parser.ASTStringLiteral

All Implemented Interfaces:
  JexlInfo, Node

    public class ASTStringLiteral

extends JexlNode

Field Summary

Fields inherited from class org.apache.commons.jexl2.parser.JexlNode
`image`

Fields inherited from class org.apache.commons.jexl2.parser.SimpleNode
`children, id, parent, value`

Constructor Summary
`ASTStringLiteral(int id)`
`ASTStringLiteral(Parser p, int id)`

Method Summary
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` Accept the visitor.

Methods inherited from class org.apache.commons.jexl2.parser.JexlNode
`debugString, getInfo`

Methods inherited from class org.apache.commons.jexl2.parser.SimpleNode
`childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTStringLiteral

    public ASTStringLiteral(int id)

### ASTStringLiteral

    public ASTStringLiteral(Parser p,
                            int id)

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.